import { createMuiTheme } from '@material-ui/core/styles';
import createBreakpoints from '@material-ui/core/styles/createBreakpoints';
import createPalette from '@material-ui/core/styles/createPalette';
import createTypography from '@material-ui/core/styles/createTypography';
import shadows from '@material-ui/core/styles/shadows';
import createSpacing from '@material-ui/core/styles/createSpacing';
import { red, blue } from '@material-ui/core/colors';
var white = "#fff";
var direction = 'ltr';
var breakpoints = createBreakpoints({
    unit: 'px',
    step: 2
});
var palette = createPalette({
    primary: {
        light: white,
        main: white,
        dark: white,
        contrastText: blue.A400
    },
    // secondary: {
    //   light: white,
    //   main: '#19857b',
    //   dark: white,
    //   contrastText: "#91f"
    //  },
    error: {
        light: white,
        main: red.A400,
        dark: white,
        contrastText: "#91f"
    },
    background: {
        default: '#fff',
        paper: white
    },
});
// const shadows2: Partial<Shadows> = [];
var shape2 = {};
var spacing = createSpacing(1);
var transitions = {};
var typography = createTypography(palette, {
    fontFamily: '"Roboto", "Helvetica", "Arial", sans-serif',
    // The default font size of the Material Specification.
    fontSize: 13,
    fontWeightLight: 300,
    fontWeightRegular: 400,
    fontWeightMedium: 500,
    fontWeightBold: 700,
    // Tell Material-UI what's the font-size on the html element.
    // 16px is the default font-size used by browsers.
    htmlFontSize: 16,
    // Apply the CSS properties to all the variants.
    allVariants: {
        textTransform: 'inherit'
    }
});
var zIndex = {};
var mixins = {};
var overrides = {
    MuiButton: {
        root: {
            //      color: 'yellow',
            borderRadius: '2px'
        },
        text: {
        //      color: 'yellow',
        },
        /*
            containedPrimary: {
              color: blue.A700,
              backgroundColor: white,
              '&:hover': {
                backgroundColor: white,
                // Reset on touch devices, it doesn't add specificity
                '@media (hover: none)': {
                  backgroundColor: white,
                },
              }
            }
        */
    }
};
var props = {
    MuiButtonBase: {
        disableRipple: true, // 'ondulation'    
    },
    MuiButton: {
        size: 'small',
    },
    MuiSwitch: {
        size: 'small',
    }
};
var themeOptions = {
    breakpoints: breakpoints,
    shape: shape2,
    direction: direction,
    mixins: mixins,
    overrides: overrides,
    palette: palette,
    props: props,
    shadows: shadows,
    spacing: spacing,
    transitions: transitions,
    typography: typography,
    zIndex: zIndex
};
var lightTheme = createMuiTheme(themeOptions);
export default lightTheme;
//# sourceMappingURL=lightTheme.js.map